none
Visual Studio Backward Compatibility RRS feed

  • Question

  • I have been given a VS2010 desktop application, 3.5 framework, and I have VS 2008, which I know can target the 3.5 framework.  Will I be able to go backwards for this app, since VS 2008 has the 3.5 framework or do I have to use VS2010.  I know once you migrate from VS2005 to VS2008, you cannot open up the application in 2005.
    Monday, May 13, 2013 4:40 PM

Answers

  • Unfortunately, the same issue exists with VS 2010/VS 2008. A VS 2010 solution will not open in VS 2008, and there is no automatic regression tool available that I know of.

    The first VS version that allows "backward compatibility" is VS 2012, where solutions created in VS 2012 can be opened in VS 2010 (provided, of course) that no new, unique to VS 2012 or.NET 4.5 is used in the solution).

    Your best bet, IMHO, would be to create the same project type(s) in your VS 2008, then import the components from the VS 2010 project folders.

    Monday, May 13, 2013 5:56 PM